manual:installation:upgrade_notes_500

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
manual:installation:upgrade_notes_500 [2020/05/20 08:17]
martins-v non-root permissions implemented for Docker images (DEV-1557)
manual:installation:upgrade_notes_500 [2020/06/15 07:30] (current)
martins-v punctuation fix
Line 18: Line 18:
 === Support of IBM DB2 dropped === === Support of IBM DB2 dropped ===
  
-The IBM DB2 database ​is no longer ​supported by Zabbix.+The IBM DB2 database ​can no longer ​be used as a back-end database for Zabbix.
  
 === Support of Internet Explorer 11 dropped === === Support of Internet Explorer 11 dropped ===
Line 74: Line 74:
  
 ==== Informational ==== ==== Informational ====
 +
 +=== SNMP credentials at host interface level ===
 +
 +Setting SNMP interface credentials has been moved from item level to host [[:​manual/​introduction/​whatsnew500#​snmp_credentials_at_host_interface_level|interface level]]. There is an **automatic** upgrade procedure that moves existing SNMP items to their appropriate interfaces. So, for example, if before upgrade there was:
 +
 +  1 SNMP interface with 1 SNMP v1 item and 1 SNMP v2 item
 +
 +after the upgrade there will be 2 SNMP interfaces:
 +
 +  1 SNMPv1 interface with 1 SNMP v1 item
 +  1 SNMPv2 interface with 1 SNMP v2 item
 +
 +If there were 2 identical SNMPv3 items with different passwords before the upgrade:
 +
 +  1 SNMP interface with 1 SNMP v3 item with password="​alpha"​ and 1 SNMP v3 item with password="​beta"​
 +
 +after the upgrade there will be 2 SNMP interfaces:
 +
 +  1 SNMPv3 interface with 1 SNMP v3 item with password="​alpha"​
 +  1 SNMPv3 interface with 1 SNMP v3 item with password="​beta"​
  
 === Changed Zabbix PHP file directory === === Changed Zabbix PHP file directory ===
Line 104: Line 124:
 === Configuration parameters === === Configuration parameters ===
  
-EnableRemoteCommands agent [[:​manual/​appendix/​config/​zabbix_agentd|parameter]] is still supported (it may get deprecated and removed in the future) alongside the new [[:manual/appendix/config/restrict_checks|DenyKey/​AllowKey]] parameters. When upgrading existing agents, remote commands will not be allowed unless you: +EnableRemoteCommands agent [[:​manual/​appendix/​config/​zabbix_agentd|parameter]] is still supported (it may get deprecated and removed in the future) alongside the new [[manual:config:items:restrict_checks|DenyKey/​AllowKey]] parameters. When upgrading existing agents, remote commands will not be allowed unless you: 
  
   * Set EnableRemoteCommands=1 ​   * Set EnableRemoteCommands=1 ​